# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dialect/version'

Gem::Specification.new do |spec|
  spec.name          = 'dialect'
  spec.version       = Dialect::VERSION
  spec.authors       = ['Jeff Nyman']
  spec.email         = ['jeffnyman@gmail.com']
  spec.summary       = %q{A Semantically Clean Fluent Interface Test Framework}
  spec.description   = %q{
    Dialect is a framework that provides a way to describe your application
    in terms of activity and page definitions. Those definitions can then be
    referenced by test libraries using the DSL that Dialect provides.

    The DSL provides a fluent interface that can be used for constructing
    test execution logic. This fluent interface promotes the idea of
    compressibility of your test logic, allowing for more factoring, more
    reuse, and less repetition.

    You can use Dialect directly as an automated testing solution or you can
    use it with other tools such as RSpec, Cucumber, or my own Lucid tool.
  }
  spec.homepage      = 'https://github.com/jnyman/dialect'
  spec.license       = 'MIT'
  spec.platform      = Gem::Platform::RUBY

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.required_ruby_version     = '>= 1.9.3'
  spec.required_rubygems_version = '>= 1.6.1'

  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake'

  spec.add_runtime_dependency 'rspec', '>= 2.14'
  spec.add_runtime_dependency 'watir-webdriver', '>= 0.6.8'

  spec.post_install_message = %{
(::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::)

  Dialect #{Dialect::VERSION} has been installed.

(::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::)
  }
end
